__DEV_GET_BY_FLAGS(9)

NAME
__dev_get_by_flags - find any device with given flags

SYNOPSIS

struct net_device * __dev_get_by_flags(struct net * net, unsigned short if_flags, unsigned short mask);

ARGUMENTS

net
    the applicable net namespace

if_flags
    IFF_* values

mask
    bitmask of bits in if_flags to check

DESCRIPTION

Search for any interface with the given flags. Returns NULL if a device is not found or a pointer to the device. Must be called inside rtnl_lock, and result refcount is unchanged.

COPYRIGHT